Skip to main content
GET
/
api
/
v2
/
workspace
/
{slug}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v2/workspace/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "slug": "<string>",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "_id": "<string>",
  "environments": [
    {
      "name": "<string>",
      "slug": "<string>",
      "id": "<string>"
    }
  ],
  "description": "<string>",
  "defaultProduct": "<string>",
  "autoCapitalization": false,
  "version": 1,
  "upgradeStatus": "<string>",
  "pitVersionLimit": 10,
  "kmsCertificateKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auditLogsRetentionDays": 123,
  "hasDeleteProtection": false,
  "secretSharing": true,
  "showSnapshotsLegacy": false,
  "secretDetectionIgnoreValues": [
    "<string>"
  ],
  "enforceEncryptedSecretManagerSecretMetadata": true,
  "kmsSecretManagerKeyId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

slug
string
required

The slug of the project to get.

Required string length: 1 - 64

Response

Default Response

id
string
required
name
string
required
type
string
required
slug
string
required
orgId
string<uuid>
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
_id
string
required
environments
object[]
required
description
string | null
defaultProduct
string | null
autoCapitalization
boolean | null
default:false
version
number
default:1
upgradeStatus
string | null
pitVersionLimit
number
default:10
kmsCertificateKeyId
string<uuid> | null
auditLogsRetentionDays
number | null
hasDeleteProtection
boolean | null
default:false
secretSharing
boolean
default:true
showSnapshotsLegacy
boolean
default:false
secretDetectionIgnoreValues
string[] | null
enforceEncryptedSecretManagerSecretMetadata
boolean | null
kmsSecretManagerKeyId
string | null